apiVersion: apps/v1
kind: DaemonSet
metadata:
  name: csm-x100-deviceplugin-ds
  namespace: x100-operator-resources
  labels:
    app: csm-x100-deviceplugin-ds
spec:
  selector:
    matchLabels:
      app: csm-x100-deviceplugin-ds
  template:
    metadata:
      labels:
        app: csm-x100-deviceplugin-ds
    spec:
      serviceAccount: csm-x100-sa
      serviceAccountName: csm-x100-sa
      securityContext:
        runAsUser: 0
      imagePullSecrets:
      - name: qcrepo-pull-secret
      containers:
      - image: #"<Replace with Csm-Device Plugin image>"
        imagePullPolicy: Always
        args:
        - --device
        - |
          name: qti-csm
          groups:
            - paths:
                - path: /dev/csm*
        name: csm-x100-deviceplugin
        securityContext:
          privileged: true
          runAsUser: 0
        volumeMounts:
        - name: device-plugin
          mountPath: /var/lib/kubelet/device-plugins
        - name: dev
          mountPath: /dev
      volumes:
      - name: device-plugin
        hostPath:
          path: /var/lib/kubelet/device-plugins
      - name: dev
        hostPath:
          path: /dev
      nodeSelector:
        qualcomm.com/x100.present: "true"
